LOG_FILE="../log/$PROPSFILE.log"

TRICKFILE="trick_$PROPSFILE"

# obtain hostname
HOST_NAME=`grep "SystemName" $PROPSFILE | tr "=" " " | awk '{print $2}' | col -b`

# set of  vars for sql-quary
SQL_FILE="error.sql_$PROPSFILE"
TDCOLUMN="logdate"
IDCOLUMN=""
TABLENAME="jac_sys.error_log"

# SQL-query for jac_sys.admin_log
echo "SELECT el.*, cl.alias, 'error_log' as tblname from jac_data.error_log el left outer join jac_sys.clients cl on el.cli_id=cl.cli_id order by el.logdate" > $SQL_FILE

echo "Starting collect from table $TABLENAME" >> $LOG_FILE

# running gettscm_shared.sh
`../bin/gettscm_shared.sh "$TEMPFILE2" "$HOST_NAME" "$OPTION2" "$OPTION3" "$OPTION4" "$OPTION5" "$SQL_FILE" "$TDCOLUMN" "$IDCOLUMN"`

code=$?
if [ $code = 0 ];
then
   echo "Collect from table $TABLENAME is finished [SUCCESS]" >> $LOG_FILE
   echo "$TABLENAME -> SUCCESS" > $TRICKFILE
else
   echo "Warning: Collect from table $TABLENAME is finished [FAILURE]" >> $LOG_FILE
   touch $TEMPFILE2
fi

# delete error.sql file
rm -f $SQL_FILE

exit 0
